window.onload = function() {
    $(".preload").delay(400).fadeOut("200", function () {
        $('#preload').addClass('move');
        $('#preload').fadeOut(200);
    });
};

AOS.init({
    once: true,
    offset: 0,
    duration: 1000
});

$(document).ready(function () {
    // new WOW().init();

    $('.select-control').select2({
        minimumResultsForSearch: Infinity,
        placeholder: "Select"
    });
    
    $('.select-control.has-search').select2({
        placeholder: "Select"
    });

    $("[data-fancybox]").fancybox({
        thumbs     : false,
        slideShow  : false,
        fullScreen : false
    });

    // $(".mcscroll").mCustomScrollbar({
    //    axis : "y",
    //    scrollButtons: {
    //        enable: true
    //    }
    // });
    // $(".mcscrollX").mCustomScrollbar({
    //    axis : "x",
    //    scrollButtons: {
    //        enable: true
    //    }
    // });

    var lazyLoadInstance = new LazyLoad({
        elements_selector: ".lazy"
    });

    $('.overflow-line-1').trunk8({
       lines: 1,
       tooltip : false
    });
    $('.overflow-line-2').trunk8({
       lines: 2,
       tooltip : false
    });
    $('.overflow-line-3').trunk8({
       lines: 3,
       tooltip : false
    });

    var topbar = $('.site-header').height();
    $(window).scroll(function() {
        if ($(window).scrollTop() > topbar) {
            $(".site-header").addClass("tiny");
        } else {
            $(".site-header").removeClass("tiny");
        }
    });

    $('[data-toggle="menu-mobile"]').click(function(){
        $(this).toggleClass('close');
        $('.global-container').toggleClass('sidebar-open');
        $('nav.menu').toggleClass('open');
    });
    $('[data-toggle="menu-overlay"]').click(function(){
        $('[data-toggle="menu-mobile"]').removeClass('close');
        $('.global-container').removeClass('sidebar-open');
        $('nav.menu').removeClass('open');
    });

    $('.b-fav').click(function(){
        $(this).toggleClass('active');
    });

    $('.add-guest').click(function (e){
        e.stopPropagation();
        $('.dropdown-guest').addClass('show');
    });
    $('body').click(function (){
        $('.dropdown-guest').removeClass('show');
    });

    $('.add').click( function (){
        $('.number').val(+$('.number').val() + 1);
        var num = $('.number').val();
        $('.num-g').text('ผู้เข้าพัก ' + num + ' คน');
    });
    $('.sub').click( function (){
        if($('.number').val() > 1){
            $('.number').val(+$('.number').val() - 1);
            var num = $('.number').val();
            $('.num-g').text('ผู้เข้าพัก ' + num + ' คน');
        }
    });

    // $('input.ifocus').click(function (){
    //     // ('.ifocus').removeClass('show');
    //     $('.overlay').addClass('show');
    // });
    // $('body').click(function (){
    //     $('.overlay').removeClass('show');
    // });

    $('.btn-filter').click(function (){
        $('.menu-filter').addClass('show');
        $('.black-drop').addClass('show');
    });
    $('.black-drop').click(function (){
        $('.menu-filter').removeClass('show');
        $('.black-drop').removeClass('show');
    });
    $('.btn-close').click(function (){
        $('.menu-filter').removeClass('show');
        $('.black-drop').removeClass('show');
    });

    $('#sticky-map .pin-location').click(function(){
        $(this).toggleClass('active');
        $('#sticky-map .card').toggleClass('active');

    });

    $( function() {
        var availableTags = [
            "กรุงเทพมหานคร",
            "กาฬสินธุ์",
            "กำแพงเพชร",
            "ขอนแก่น",
            "จันทบุรี",
            "ฉะเชิงเทรา",
            "ชลบุรี",
            "ชัยนาท",
            "ชัยภูมิ",
            "ชุมพร",
            "เชียงราย",
            "เชียงใหม่",
            "ตรัง",
            "ตราด",
            "ตาก",
            "นครนายก",
            "นครปฐม",
            "นครพนม",
            "นครราชสีมา",
            "นครศรีธรรมราช",
            "ภูเก็ต",
            "มหาสารคาม",
            "ราชบุรี"
        ];
        $( ".searchlocation" ).autocomplete({
            source: availableTags
        });
    } );

    $('.regis-email').click(function(){
        $('.sign-up').css('display','none');
        $('.sign-up-fill').fadeIn().css('display','block');
    });
    $('.btn-back-fill').click(function(){
        $('.sign-up').fadeIn().css('display','block');
        $('.sign-up-fill').css('display','none');
        $('.sign-in').css('display','none');
        $('.forgot-psw').css('display','none');
    });
    $('.btn-sign-in').click(function(){
        $('.sign-in').fadeIn().css('display','block');
        $('.sign-up').css('display','none');
    });
    $('.btn-regis-fill').click(function(){
        $('.sign-up-fill').fadeIn().css('display','block');
        $('.sign-in').css('display','none');
    });
    $('.btn-forgot-psw').click(function(){
        $('.forgot-psw').fadeIn().css('display','block');
        $('.sign-in').css('display','none');
    });

});

$(function() {

    $('input[name="datefilter"]').daterangepicker({
        autoUpdateInput: false,
        "opens": "right",
        "autoApply": true,
        
    });
  
    $('input[name="datefilter"]').on('apply.daterangepicker', function(ev, picker) {
        $(this).val(picker.startDate.format('DD MMM') + ' - ' + picker.endDate.format('DD MMM'));
    });
  
    $('input[name="datefilter"]').on('cancel.daterangepicker', function(ev, picker) {
        $(this).val('');
    });

    // Birthday
    $('input[name="Birthday"]').daterangepicker({
        autoUpdateInput: false,
        "singleDatePicker": true,
        "showDropdowns": true,
        "autoApply": true,
    });

    $('input[name="Birthday"]').on('apply.daterangepicker', function(ev, picker) {
        $(this).val(picker.startDate.format('DD MMM YYYY'));
    });
  
    $('input[name="Birthday"]').on('cancel.daterangepicker', function(ev, picker) {
        $(this).val('');
    });
  
  });